nxt.http

## Class SetPhasingOnlyControl

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CreateTransaction
    - - nxt.http.SetPhasingOnlyControl

-     public final class SetPhasingOnlyControl
      extends CreateTransaction

  Sets an account control that blocks transactions unless they are phased with certain parameters

  Parameters

  - controlVotingModel - The expected voting model of the phasing. Possible values:
    - NONE(-1) - the phasing control is removed
    - ACCOUNT(0) - only by-account voting is allowed
    - NQT(1) - only balance voting is allowed
    - ASSET(2) - only asset voting is allowed
    - CURRENCY(3) - only currency voting is allowed
  - controlQuorum - The expected quorum.
  - controlMinBalance - The expected minimum balance
  - controlMinBalanceModel - The expected minimum balance model. Possible values:
    - NONE(0) No minimum balance restriction
    - NQT(1) Nxt balance threshold
    - ASSET(2) Asset balance threshold
    - CURRENCY(3) Currency balance threshold
  - controlHolding - The expected holding ID - asset ID or currency ID.
  - controlWhitelisted - multiple values - the expected whitelisted accounts
  - controlMaxFees - The maximum allowed accumulated total fees for not yet finished phased transactions, as ':' separated chainId:maxFee values.
  - controlMinDuration - The minimum phasing duration (finish height minus current height).
  - controlHolding - The maximum allowed phasing duration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.http.CreateTransaction

      `CreateTransaction.CreateTransactionParameters`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIgnisOnly()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class nxt.http.CreateTransaction

      `allowRequiredBlockParameters, createTransaction, getCommonParameters, isChainSpecific, requirePost, transactionParameters`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest request)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`

    - #### isIgnisOnly

          public boolean isIgnisOnly()

      Overrides:
        `isIgnisOnly` in class `APIServlet.APIRequestHandler`